PDF Forms Filler for CF7 Enterprise Extension

$396.00

The Enterprise Extension for the PDF Forms Filler for Contact Form 7 WordPress plugin replaces the use of the Pdf.Ninja API by local binaries. It allows reading and generating PDF files directly on the server where the plugin is installed.  Locally installed packages or bundled binaries are used for working with PDF files.

Features

  • Enables the use of local binaries to work with PDF files.
  • Does not require rebuilding existing Contact Form 7 forms that use PDF Forms Filler for Contact Form 7 functionality.  Simply install the extension plugin and PDF Forms Filler for Contact Form 7 will start using it automatically.
  • Perpetual license with free updates.
  • Use with up to 5 WordPress installations.

Requirements

  • Requires PHP exec() or proc_open(), proc_close(), proc_get_status() and proc_terminate() to function correctly on the server and be able to run binaries from PHP code.  WP Engine, WPX and other restrictive hosting environments are not supported!
  • Requires x86_64 server architecture OR installation of PDFtk, QPDF, Poppler and ImageMagick packages on the server.
  • Requires PHP 5.4 or above.
  • Chroot environment is not supported (unless the full /proc filesystem is mounted).
  • Requires a Linux web server.  Windows is currently not supported.
  • No refunds will be given once the plugin is downloaded at least once!  Make sure your environment is supported before buying!  You can check if your environment is supported by accessing the Contact Form 7 Integration page and finding the ‘Enterprise Extension‘ label.
  • Supports AcroForm only (XFA forms are not supported).
  • Bundled binaries require Linux kernel version 2.6.32 or above. Older kernels can be used but require the use of binaries installed via system package manager.

Contact for details.

Description

The Enterprise Extension for the PDF Forms Filler for CF7 WordPress plugin replaces the use of the Pdf.Ninja API by local binaries. It allows reading and generating PDF files directly on the server where the plugin is installed.  Locally installed packages or bundled binaries are used for working with PDF files.

Features

  • Enables the use of local binaries to work with PDF files.
  • Does not require rebuilding existing Contact Form 7 forms that use PDF Forms Filler for CF7 functionality.  Simply install the extension plugin and PDF Forms Filler for CF7 will start using it automatically.
  • Perpetual license with free updates.
  • Use with up to 5 WordPress installations.

Requirements

  • Requires PHP exec() or proc_open(), proc_close(), proc_get_status() and proc_terminate() to function correctly on the server and be able to run binaries from PHP code.  WP Engine, WPX and other restrictive hosting environments are not supported!
  • Requires x86_64 server architecture OR installation of PDFtk, QPDF, Poppler and ImageMagick packages on the server.
  • Requires PHP 5.4 or above.
  • Chroot environment is not supported (unless the full /proc filesystem is mounted).
  • Requires a Linux web server.  Windows is currently not supported.
  • No refunds will be given once the plugin is downloaded at least once!  Make sure your environment is supported before buying!  You can check if your environment is supported by accessing the Contact Form 7 Integration page and finding the ‘Enterprise Extension‘ label.
  • Supports AcroForm only (XFA forms are not supported).
  • Bundled binaries require Linux kernel version 2.6.32 or above. Older kernels can be used but require the use of binaries installed via system package manager.

Contact for details.